Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
OpenMesh::IO::_OMReader_ Class Reference

`#include <libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/OMReader.hh>`

Inheritance diagram for OpenMesh::IO::_OMReader_:

## Public Member Functions
std::string | get_description () const
| Returns a brief description of the file type that can be parsed.
std::string | get_extensions () const
std::string | get_magic () const
| Return magic bits used to determine file format.
bool | read (const std::string &_filename, BaseImporter &_bi, Options &_opt)
bool | read (std::istream &_is, BaseImporter &_bi, Options &_opt)
| Stream Reader for std::istream input in binary format.
virtual bool | can_u_read (const std::string &_filename) const
| Returns true if writer can parse _filename (checks extension). _filename can also provide an extension without a name for a file e.g. _filename == "om" checks, if the reader can read the "om" extension. More...
virtual bool | can_u_read (std::istream &_is) const
Public Member Functions inherited from OpenMesh::IO::BaseReader
virtual | ~BaseReader ()
| Destructor.

## Private Types
typedef OMFormat::Header | Header
typedef OMFormat::Chunk::Header | ChunkHeader
typedef OMFormat::Chunk::PropertyName | PropertyName

## Private Member Functions
bool | supports (const OMFormat::uint8 version) const
bool | read_ascii (std::istream &_is, BaseImporter &_bi, Options &_opt) const
bool | read_binary (std::istream &_is, BaseImporter &_bi, Options &_opt) const
bool | read_binary_vertex_chunk (std::istream &_is, BaseImporter &_bi, Options &_opt, bool _swap) const
bool | read_binary_face_chunk (std::istream &_is, BaseImporter &_bi, Options &_opt, bool _swap) const
bool | read_binary_edge_chunk (std::istream &_is, BaseImporter &_bi, Options &_opt, bool _swap) const
bool | read_binary_halfedge_chunk (std::istream &_is, BaseImporter &_bi, Options &_opt, bool _swap) const
bool | read_binary_mesh_chunk (std::istream &_is, BaseImporter &_bi, Options &_opt, bool _swap) const
size_t | restore_binary_custom_data (std::istream &_is, BaseProperty *_bp, size_t _n_elem, bool _swap) const

## Private Attributes
size_t | bytes_
Options | fileOptions_
Header | header_
ChunkHeader | chunk_header_
PropertyName | property_name_

## Additional Inherited Members
Protected Member Functions inherited from OpenMesh::IO::BaseReader
bool | check_extension (const std::string &_fname, const std::string &_ext) const

## Detailed Description

Implementation of the OM format reader. This class is singleton'ed by SingletonT to OMReader.

Definition at line 90 of file OMReader.hh.

## Member Function Documentation

bool OpenMesh::IO::_OMReader_::can_u_read | ( | const std::string & | _filename | ) | const
| virtual

Returns true if writer can parse _filename (checks extension). _filename can also provide an extension without a name for a file e.g. _filename == "om" checks, if the reader can read the "om" extension.

Parameters

  _filename | complete name of a file or just the extension

Returns
  true, if reader can read data with the given extension

Reimplemented from OpenMesh::IO::BaseReader.

Definition at line 227 of file OMReader.cc.

std::string OpenMesh::IO::_OMReader_::get_extensions | ( |  | ) | const
| inline virtual

Returns a string with the accepted file extensions separated by a whitespace and in small caps.

Implements OpenMesh::IO::BaseReader.

Definition at line 98 of file OMReader.hh.

bool OpenMesh::IO::_OMReader_::read | ( | const std::string & | _filename,
|  | BaseImporter & | _bi,
|  | Options & | _opt
| ) |  |
| virtual

Reads a mesh given by a filename. Usually this method opens a stream and passes it to stream read method. Acceptance checks by filename extension can be placed here.

Options can be passed via _opt. After execution _opt contains the Options that were available

Implements OpenMesh::IO::BaseReader.

Definition at line 94 of file OMReader.cc.

The documentation for this class was generated from the following files:

- libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/OMReader.hh
- libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/OMReader.cc